# $Revision: 1.173 $, $Date: 2009/07/15 20:43:23 $
#
# Conditional build:
%bcond_without	ldap	# without support for ldap storage
%bcond_without	static_libs	# don't build static library

# vendor string
%define vvendor PLD/Linux
#
Summary:	DHCP Server
Summary(es.UTF-8):	Servidor DHCP
Summary(pl.UTF-8):	Serwer DHCP
Summary(pt_BR.UTF-8):	Servidor DHCP (Protocolo de configuração dinâmica de hosts)
Name:		dhcp
# 4.1.0a1 is on DEVEL
Version:	4.0.1p1
Release:	1
Epoch:		4
License:	MIT
Group:		Networking/Daemons
Source0:	ftp://ftp.isc.org/isc/dhcp/%{name}-%{version}.tar.gz
# Source0-md5:	42bac85e1513e177c6bb2bf64d448dbe
Source1:	%{name}.init
Source2:	%{name}6.init
Source3:	%{name}-relay.init
Source4:	%{name}.sysconfig
Source5:	%{name}-relay.sysconfig
Source6:	%{name}-libdhcp4client.pc
Source7:	%{name}-dhcp4client.h
Source8:	%{name}-libdhcp4client.make
Source9:	%{name}-libdhcp_control.h
Source10:	%{name}.schema
Source11:	%{name}-README.ldap
Source12:	draft-ietf-dhc-ldap-schema-01.txt
Source13:	dhcpd-conf-to-ldap
Source14:	dhcp-dhclient-script
Patch0:		%{name}-release-by-ifup.patch
# from fedora 9-dev
Patch1:		%{name}-ldap.patch
Patch2:		%{name}-3.0.3-x-option.patch
Patch3:		%{name}-paths.patch
Patch4:		%{name}-arg-concat.patch
Patch5:		%{name}-timeouts.patch
Patch6:		%{name}-options.patch
Patch7:		%{name}-libdhcp4client.patch
Patch8:		%{name}-prototypes.patch
Patch9:		%{name}-errwarn-message.patch
Patch10:	%{name}-memory.patch
Patch11:	%{name}-dhclient-decline-backoff.patch
Patch12:	%{name}-unicast-bootp.patch
Patch13:	%{name}-fast-timeout.patch
Patch14:	%{name}-failover-ports.patch
Patch15:	%{name}-dhclient-usage.patch
Patch16:	%{name}-default-requested-options.patch
Patch17:	%{name}-xen-checksum.patch
Patch18:	%{name}-dhclient-anycast.patch
Patch19:	%{name}-manpages.patch
Patch20:	%{name}-NetworkManager-crash.patch
Patch21:	%{name}-no-ipv6.patch
URL:		http://www.isc.org/sw/dhcp/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	groff
BuildRequires:	libtool
%{?with_ldap:BuildRequires:	openldap-devel}
%{?with_ldap:BuildRequires:	openssl-devel}
BuildRequires:	rpmbuild(macros) >= 1.304
Requires(post):	coreutils
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.2.0
Provides:	dhcpd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin
%define		schemadir	/usr/share/openldap/schema

%description
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address,
etc.) from a DHCP server. The overall purpose of DHCP is to make it
easier to administer a large network.

%description -l es.UTF-8
DHCP permite que hosts en una red TCP/IP soliciten y tengan sus
direcciones IP alocadas dinámicamente, permite también descubrir
información sobre la red en que están conectados. BOOTP provee una
funcionalidad similar, con ciertas restricciones. Este servidor
también las atiende.

%description -l pl.UTF-8
Serwer DHCP (Dynamic Host Configuration Protocol).

DHCP to protokół pozwalający urządzeniom pracującym w sieci IP na
pobieranie ich konfiguracji IP (adresu, maski podsieci, adresu
rozgłoszeniowego itp.) z serwera DHCP. Ułatwia on administrowanie
dużymi sieciami IP.

%description -l pt_BR.UTF-8
DHCP permite que hosts numa rede TCP/IP requisitem e tenham seus
endereços IP alocados dinamicamente, permite também descobrir
informações sobre a rede em que estão conectados. BOOTP provê uma
funcionalidade similar, com certas restrições. Este servidor também
atende aquelas requisições. Esta versão é ainda considerada um
software BETA.

%package -n openldap-schema-dhcp
Summary:	LDAP Schema for DHCP Server
Summary(pl.UTF-8):	Schemat LDAP dla serwera DHCP
Group:		Networking/Daemons
Requires(post,postun):	sed >= 4.0
Requires:	openldap-servers

%description -n openldap-schema-dhcp
This package contains LDAPv3 schema for use with the DHCP Server.

%description -n openldap-schema-dhcp -l pl.UTF-8
Ten pakiet zawiera schemat LDAPv3 do używania z serwerem DHCP.

%package client
Summary:	DHCP Client
Summary(pl.UTF-8):	Klient DHCP
Group:		Networking/Daemons
Requires:	coreutils
Requires:	iproute2
Requires:	net-tools
Obsoletes:	dhclient

%description client
Dynamic Host Configuration Protocol Client.

%description client -l pl.UTF-8
Klient DHCP (Dynamic Host Configuration Protocol).

%package relay
Summary:	DHCP Relay Agent
Summary(pl.UTF-8):	Agent przekazywania informacji DHCP
Group:		Networking/Daemons
Requires(post):	coreutils
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.2.0

%description relay
Dhcp relay is a relay agent for DHCP packets. It is used on a subnet
with DHCP clients to "relay" their requests to a subnet that has a
DHCP server on it. Because DHCP packets can be broadcast, they will
not be routed off of the local subnet. The DHCP relay takes care of
this for the client.

%description relay -l pl.UTF-8
Agent przekazywania DHCP (Dynamic Host Configuration Protocol) między
podsieciami. Ponieważ komunikaty DHCP mogą być przekazywane w formie
rozgłoszeniowej, bez tego agenta nie zostaną przerutowane do innej
podsieci.

%package devel
Summary:	DHCP development includes and libs
Summary(pl.UTF-8):	Pliki nagłówkowe i biblioteki dla oprogramowania DHCP
Group:		Development/Libraries

%description devel
Includes OMAPI and dhcptl libraries.

OMAPI is an programming layer designed for controlling remote
applications, and for querying them for their state. It is currently
used by the ISC DHCP server.

The dhcpctl set of functions provide an API that can be used to
communicate with and manipulate a running ISC DHCP server.

%description devel -l pl.UTF-8
Zawiera biblioteki OMAPI oraz dhcpctl.

OMAPI to warstwa programowa stworzona do kontroli zdalnych aplikacji i
odpytywania o ich stan. Aktualnie jest używana przez serwer ISC DHCP.

dhcpctl to zbiór funkcji tworzących API, które może być używane do
komunikacji z działającym serwerem ISC DHCP i jego kontroli.

%package -n libdhcp4client
Summary:	The DHCP client in a library for invocation by other programs
Summary(pl.UTF-8):	Klient DHCP w postaci biblioteki do wykorzystania w innych programach
Group:		Development/Libraries

%description -n libdhcp4client
Provides the client for the DHCP protocol.

%description -n libdhcp4client -l pl.UTF-8
Ten pakiet zawiera klienta protokołu DHCP.

%package -n libdhcp4client-devel
Summary:	Header files for development with the DHCP client library
Summary(pl.UTF-8):	Pliki nagłówkowe do programowania z użyciem biblioteki klienckiej DHCP
License:	GPL v2+
Group:		Development/Libraries
Requires:	libdhcp4client = %{epoch}:%{version}-%{release}

%description -n libdhcp4client-devel
Header files for development with the DHCP client library.

%description -n libdhcp4client-devel -l pl.UTF-8
Pliki nagłówkowe do programowania z użyciem biblioteki klienckiej
DHCP.

%package -n libdhcp4client-static
Summary:	Static DHCP client library
Summary(pl.UTF-8):	Statyczna biblioteka kliencka DHCP
Group:		Development/Libraries
Requires:	libdhcp4client-devel = %{epoch}:%{version}-%{release}

%description -n libdhcp4client-static
Static DHCP client library.

%description -n libdhcp4client-static -l pl.UTF-8
Statyczna biblioteka kliencka DHCP.

%prep
%setup -q
%patch0 -p1
%{?with_ldap:%patch1 -p1}
# This patch is required for dhcdbd to function
# CHECK ME: adds -x (formerly -y):
#The -x argument enables extended option information to be created in the
#-s dhclient-script environment, which would allow applications running
#in that environment to handle options they do not know about in advance -
#this is a Red Hat extension to support dhcdbd and NetworkManager.
# however, fedora doesn't have this patch anymore, so can drop?
#%%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1

# Copy in documentation and example scripts for LDAP patch to dhcpd
cp -a %{SOURCE11} README.ldap
cp -a %{SOURCE12} doc
cp -a %{SOURCE13} contrib

# Copy in the libdhcp4client headers and Makefile.dist
install -d libdhcp4client
cp %{SOURCE7} libdhcp4client/dhcp4client.h
cp %{SOURCE8} libdhcp4client/Makefile.dist

# Copy in libdhcp_control.h to the isc-dhcp includes directory
cp %{SOURCE9} includes/isc-dhcp/libdhcp_control.h

# Replace @PRODUCTNAME@
%{__sed} -i -e 's|@PRODUCTNAME@|%{vvendor}|g' common/dhcp-options.5
%{__sed} -i -e 's|@PRODUCTNAME@|%{vvendor}|g' configure.ac

# Update paths in all man pages
for page in client/dhclient.conf.5 client/dhclient.leases.5 client/dhclient-script.8 client/dhclient.8; do
	%{__sed} -i -e 's|CLIENTBINDIR|/sbin|g' \
			-e 's|RUNDIR|%{_localstatedir}/run|g' \
			-e 's|DBDIR|%{_localstatedir}/db/dhclient|g' \
			-e 's|ETCDIR|%{_sysconfdir}|g' $page
done

for page in server/dhcpd.conf.5 server/dhcpd.leases.5 server/dhcpd.8; do
	%{__sed} -i -e 's|CLIENTBINDIR|/sbin|g' \
				-e 's|RUNDIR|%{_localstatedir}/run|g' \
				-e 's|DBDIR|%{_localstatedir}/db/dhcpd|g' \
				-e 's|ETCDIR|%{_sysconfdir}|g' $page
done

sed 's/@DHCP_VERSION@/'%{version}'/' < %{SOURCE6} > libdhcp4client.pc

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
CFLAGS="%{rpmcflags} -fPIC -D_GNU_SOURCE=1"
%configure \
	%{!?with_static_libs:--disable-static} \
	--enable-dhcpv6 \
    --with-srv-lease-file=/var/lib/dhcpd/dhcpd.leases \
    --with-cli-lease-file=/var/lib/dhclient/dhclient.leases \
    --with-srv-pid-file=/var/run/dhcpd.pid \
    --with-cli-pid-file=/var/run/dhclient.pid \
    --with-relay-pid-file=/var/run/dhcrelay.pid
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig},%{_pkgconfigdir},/var/lib/{dhcpd,dhclient}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/dhcpd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/dhcpd6
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/dhcp-relay
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/dhcpd
install %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/dhcp-relay
install %{SOURCE14} $RPM_BUILD_ROOT/sbin/dhclient-script

install server/dhcpd.conf $RPM_BUILD_ROOT%{_sysconfdir}

%if %{with ldap}
install -d $RPM_BUILD_ROOT%{schemadir}
install %{SOURCE10} $RPM_BUILD_ROOT%{schemadir}
%endif

# Install headers for libdhcp4client-devel
install -d $RPM_BUILD_ROOT%{_includedir}/dhcp4client
install libdhcp4client/dhcp4client.h $RPM_BUILD_ROOT%{_includedir}/dhcp4client/dhcp4client.h
install -d $RPM_BUILD_ROOT%{_includedir}/dhcp4client/minires
for hdr in cdefs.h ctrace.h dhcp.h dhcp6.h dhcpd.h dhctoken.h failover.h \
           heap.h inet.h minires/minires.h minires/res_update.h \
           minires/resolv.h osdep.h site.h statement.h tree.h; do
	install -p -m 0644 includes/${hdr} $RPM_BUILD_ROOT%{_includedir}/dhcp4client/${hdr}
done

:> $RPM_BUILD_ROOT%{_sysconfdir}/dhclient.conf

touch $RPM_BUILD_ROOT/var/lib/dhcpd/dhcpd.leases
touch $RPM_BUILD_ROOT/var/lib/dhclient/dhclient.leases

touch $RPM_BUILD_ROOT/var/lib/dhcpd/dhcpd6.leases
touch $RPM_BUILD_ROOT/var/lib/dhclient/dhclient6.leases

# Install pkg-config file
install libdhcp4client.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig/libdhcp4client.pc
cp -a includes/isc-dhcp/libdhcp_control.h $RPM_BUILD_ROOT%{_includedir}/isc-dhcp

%if %{with static_libs}
# HACK: strip doesn't like .a inside .a
install -d stripworkdir
cd stripworkdir
for a in $RPM_BUILD_ROOT%{_libdir}/*.a; do
	archives=$(ar t $a | grep '\.a$' || :)
	[ "$archives" ] || continue

	# hope we don't have to recurse here
	for ar in $archives; do
		rm -f *.o *.a
		ar x $a $ar
		ar x $ar
		ar d $a $ar
		ar cr $a *.o
	done
done
cd -
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch /var/lib/dhcpd/dhcpd.leases
touch /var/lib/dhcpd/dhcpd6.leases
/sbin/chkconfig --add dhcpd
%service dhcpd restart "dhcpd daemon"
/sbin/chkconfig --add dhcpd6
%service dhcpd6 restart "dhcpd IPv6 daemon"

%preun
if [ "$1" = "0" ];then
	%service dhcpd stop
	/sbin/chkconfig --del dhcpd
	%service dhcpd6 stop
	/sbin/chkconfig --del dhcpd6
fi

%triggerpostun -- dhcp < 3.0
if ! grep -q ddns-update-style /etc/dhcpd.conf; then
	%{__sed} -i -e '1iddns-update-style none;' /etc/dhcpd.conf
fi

%post -n openldap-schema-dhcp
%openldap_schema_register %{schemadir}/dhcp.schema -d core
%service -q ldap restart

%postun -n openldap-schema-dhcp
if [ "$1" = "0" ]; then
	%openldap_schema_unregister %{schemadir}/dhcp.schema
	%service -q ldap restart
fi

%post relay
/sbin/chkconfig --add dhcp-relay
if [ -f /var/lock/subsys/dhcrelay ]; then
	mv -f /var/lock/subsys/{dhcrelay,dhcp-relay}
fi
%service dhcp-relay restart "dhcrelay daemon"

%preun relay
if [ "$1" = "0" ];then
	%service dhcp-relay stop
	/sbin/chkconfig --del dhcp-relay
fi

%post	-n libdhcp4client -p /sbin/ldconfig
%postun	-n libdhcp4client -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/* README RELNOTES server/dhcpd.conf LICENSE contrib/ms2isc
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/dhcpd
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dhcpd.conf
%attr(755,root,root) %{_bindir}/omshell
%attr(755,root,root) %{_sbindir}/dhcpd
%attr(754,root,root) /etc/rc.d/init.d/dhcpd
%attr(754,root,root) /etc/rc.d/init.d/dhcpd6
%attr(750,root,root) %dir /var/lib/dhcpd
%ghost /var/lib/dhcpd/dhcpd.leases
%ghost /var/lib/dhcpd/dhcpd6.leases
%{_mandir}/man1/omshell.1*
%{_mandir}/man5/dhcp-eval.5*
%{_mandir}/man5/dhcp-options.5*
%{_mandir}/man5/dhcpd.conf.5*
%{_mandir}/man5/dhcpd.leases.5*
%{_mandir}/man8/dhcpd.8*

%files client
%defattr(644,root,root,755)
%doc contrib/sethostname.sh client/dhclient.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dhclient.conf
%attr(755,root,root) /sbin/dhclient
%attr(755,root,root) /sbin/dhclient-script
%{_mandir}/man5/dhclient.conf.5*
%{_mandir}/man5/dhclient.leases.5*
%{_mandir}/man8/dhclient.8*
%{_mandir}/man8/dhclient-script.8*
%dir %attr(750,root,root) /var/lib/dhclient
%ghost /var/lib/dhclient/dhclient.leases
%ghost /var/lib/dhclient/dhclient6.leases

%files relay
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/dhcp-relay
%attr(755,root,root) %{_sbindir}/dhcrelay
%attr(754,root,root) /etc/rc.d/init.d/dhcp-relay
%{_mandir}/man8/dhcrelay.8*

%files devel
%defattr(644,root,root,755)
%{_libdir}/libdhcpctl.a
%{_libdir}/libdst.a
%{_libdir}/libomapi.a
%{_includedir}/dhcpctl
%{_includedir}/isc-dhcp
%{_includedir}/omapip
%{_mandir}/man3/dhcpctl.3*
%{_mandir}/man3/omapi.3*

%files -n libdhcp4client
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdhcp4client-*.so.*

%files -n libdhcp4client-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdhcp4client.so
%{_includedir}/dhcp4client
%{_pkgconfigdir}/libdhcp4client.pc
%{_libdir}/libdhcp4client.la

%if %{with static_libs}
%files -n libdhcp4client-static
%defattr(644,root,root,755)
%{_libdir}/libdhcp4client.a
%endif

%if %{with ldap}
%files -n openldap-schema-dhcp
%defattr(644,root,root,755)
%{schemadir}/dhcp.schema
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dhcp.spec,v $
Revision 1.173  2009/07/15 20:43:23  arekm
- up to 4.0.1p1 (fixes CVE-2009-0692 but Th wasn't vulnerable due to FORTIFY_SOURCE being used)

Revision 1.172  2009/01/08 08:06:35  arekm
- up to 4.0.1

Revision 1.171  2008/12/08 12:41:45  zbyniu
- patch no-ipv6 - don't require ipv6 support in kernel

Revision 1.170  2008/10/16 10:49:31  arekm
- rel 6; one more path fix

Revision 1.169  2008/10/16 10:36:09  arekm
- rel 5; create dhcpd6.leases

Revision 1.168  2008-05-12 11:01:52  patrys
- package missing header
- rel 4

Revision 1.167  2008-05-12 10:44:18  patrys
- unbreak pkgconfig file broken by previous commits
- rel 3

Revision 1.166  2008-05-01 14:10:54  megabajt
- dhcp-client-script-redhat.patch and dhcp-dhclient.script.patch have been
  merged into dhcp-dhclient-script
- /etc/dhclient.conf file should be empty by default; example config is in docs
- renumerated patches
- release 2

Revision 1.165  2008-04-27 20:12:32  glen
- rel 1

Revision 1.164  2008-04-27 19:58:47  areq
- -D_GNU_SOURCE=1

Revision 1.163  2008-04-27 15:13:55  glen
- note about options patch

Revision 1.162  2008-04-27 15:12:39  glen
- added/updated patches from fedora

Revision 1.161  2008-04-27 13:33:29  glen
- back to 4.0.0 on HEAD, 4.1.0a1 moved to DEVEL
- add static_libs bcond, fix stripping .a

Revision 1.159  2008-02-03 19:37:48  arekm
- touch v6 lease files

Revision 1.158  2008-02-03 19:33:06  arekm
- fix some paths

Revision 1.157  2008-02-03 19:20:47  arekm
- install libdhcp4client headers

Revision 1.156  2008-02-03 19:12:54  arekm
- fix patch0

Revision 1.155  2008-02-03 18:55:41  arekm
- builds now; still some patches need update/dropping

Revision 1.154  2008-01-04 09:38:00  arekm
- partial up to 4.0.0; needs lot of love

Revision 1.153  2007-12-25 12:27:27  qboosh
- release 6

Revision 1.152  2007-12-25 12:27:03  qboosh
- wrong, wrong, wrong; specflags_ are not the way to build PIC objects;
  updated libdhcp4client.{make,patch} to build PIC properly (although library
  build is still a huge hack)
- restored lost make flags
- fixed duplicate files
- added missing ldconfig calls
- updated .init scripts with proper force-reload and try-restart support
- package license is MIT, two libdhcp4client headers by RH are GPLed

Revision 1.151  2007-12-18 16:42:14  glen
- rel 5

Revision 1.150  2007-12-17 09:28:27  glen
- -fPIC for alpha too; rel 4

Revision 1.149  2007-12-16 22:12:12  glen
- fPIC for amd64

Revision 1.148  2007-12-15 18:10:23  glen
- ldap dep is not required, builders hack rather

Revision 1.147  2007-12-14 01:53:34  patrys
- enable timeouts even if not debugging

Revision 1.146  2007-12-13 23:35:20  patrys
- fix prototypes and visibility

Revision 1.145  2007-12-13 23:12:15  patrys
- add libdhcp4client

Revision 1.144  2007-11-03 15:16:18  baggins
- rel 2

Revision 1.143  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.142  2007/10/12 15:05:56  arekm
- up to final 3.1.0

Revision 1.141  2007/04/17 19:49:14  baggins
- rel .2
- unify schema package name
- fixed server config options in ldap patch

Revision 1.140  2007/04/17 16:59:23  baggins
- don't obsolete pump

Revision 1.139  2007/04/17 16:57:57  baggins
- added ldap-schema package
- build with ldap support by default
- don't use hand-crafted and possibly obsolete dhcpd.conf.sample
- s/fileutils/coreutils/ in R
- package empty dhclient.conf
- properly package documentation

Revision 1.138  2007/04/17 14:05:16  baggins
- sanitize versioning to avoid bumping epoch
- updated ldap patch

Revision 1.137  2007/04/16 19:28:10  baggins
- rel 1
- works nice with dhcdbd and NetworkManager

Revision 1.136  2007/04/16 16:07:22  baggins
- rel 0.3
- rewritten client script in sh, use iproute2 instead of ifconfig and route

Revision 1.135  2007/04/16 11:22:09  baggins
- rel 0.2
- separate paths for dhcpd.leases and dhclient.leases so client package
  does not require server packege now due to dir dependency

Revision 1.134  2007/04/03 13:27:37  jajcus
- LICENSE added to %doc

Revision 1.133  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.132  2007/02/12 00:48:45  baggins
- converted to UTF-8

Revision 1.131  2007/02/11 00:44:40  areq
- 3.1.0a3

Revision 1.130  2007/01/22 15:06:47  baggins
- 3.1.0a2

Revision 1.129  2007/01/21 23:57:28  baggins
- fixed changelog

Revision 1.128  2007/01/21 23:54:29  baggins
- (re)added comment about x-option patch

Revision 1.127  2007/01/21 23:52:27  baggins
- 3.1a1, I know it's beta but it _works_ and is way more functional than 3.0
- x-option patch updated and enabled (czarny - if you are to lazy to fix
  _VERY_ simple patch problem just say so and don't fuck with me)

Revision 1.126  2007/01/21 23:11:40  qboosh
- fixed epoch number in previous changelog message

Revision 1.125  2007/01/13 17:02:22  czarny
- 'up' to 3.0.5
- epoch bumped to 4 to make version 3.0.5 default, as 3.1 is beta
- 3.0.3 patch back TO MAKE DHCDBD AND NETWORK MANAGER WORK BAGGINS!!

Revision 1.124  2006/11/01 17:53:37  glen
- -DUSE_SOCKET_FALLBACK already in osdeps.h

Revision 1.123  2006/11/01 17:51:12  glen
- add socket fallback bcond

Revision 1.122  2006/10/26 12:08:04  baggins
- another obvious fix

Revision 1.121  2006/10/25 17:24:33  baggins
- fix stupid typo in parser

Revision 1.120  2006/10/25 14:02:01  baggins
- up to 3.1.0a1
- removed dhcpd_lease_time patch (obsolete)
- commented out x-option patch (WTF is this? some info is much expected)

Revision 1.119  2006/09/26 19:09:24  glen
- rel 3

Revision 1.118  2006/09/16 17:37:28  twittner
- `%lang(ja) %doc' doesn't work as expected - back to 1.116

Revision 1.116  2006/08/23 04:52:10  aredridel
- add -x option (from Fedora) for NetworkManager integration

Revision 1.115  2006/08/05 02:04:57  sparky
- pass rpmldflags

Revision 1.114  2006/08/05 01:54:31  aredridel
- revert USE_SOCKET_FALLBACK, breaks dhclient on 802.11 links with drivers
  that don't reform packets into 802.1

Revision 1.113  2006/05/24 13:53:20  tommat
- added dhcp-dhcpd_lease_time.patch to not send lease time in 64bit
- rel 2

Revision 1.112  2006/05/07 14:14:49  areq
- 3.0.4

Revision 1.111  2006/02/25 18:45:25  sparky
- pass CC

Revision 1.110  2006/02/24 15:35:49  glen
- use %service

Revision 1.109  2006/02/08 22:39:16  patrys
- added DBUS support for NetworkManager

Revision 1.108  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.107  2005/08/05 16:33:34  hawk
- works for me, release 2 (1 for Ra)

Revision 1.106  2005/07/28 12:29:35  hawk
- updated to 3.0.3
- removed gcc343-fix.patch, problem has been fixed in sources
- release 0.1, anyone has tested build with USE_SOCKET_FALLBACK?

Revision 1.105  2005/06/01 13:47:34  jajcus
- build with USE_SOCKET_FALLBACK. Without that dhcp-relay always uses
  the last interface detected/specified for sending messages to
  servers, ignoring host's routing table. Needs testing to see if
  nothing is broken.

Revision 1.104  2005/03/22 21:12:42  hawk
- updated to 3.0.2 stable
- release 2 (1 for Ra)

Revision 1.103  2005/01/29 19:04:00  areq
- dhcp-3.0.2rc3
- add gcc343-fix.patch

Revision 1.102  2004/12/17 21:25:21  sparky
- spanish desc/summary fixes; many just thrown

Revision 1.101  2004/12/07 01:57:53  glen
- -client obsoletes dhclient

Revision 1.100  2004/10/16 21:51:36  hawk
- updated to 3.0.2rc1

Revision 1.99  2004/08/09 18:17:24  arekm
- rel 3; add dhcpd.conf

Revision 1.98  2004/08/07 14:21:04  hawk
- release 2

Revision 1.97  2004/07/19 17:29:56  qboosh
- removed misleading _rc definition, cleanup

Revision 1.96  2004/07/19 14:15:25  hawk
- updated to final 3.0.1

Revision 1.95  2004/07/16 10:24:20  blues
- changed versioning style to be epoch-bumping-proof...

Revision 1.94  2004/07/16 09:36:11  blues
- release 2

Revision 1.93  2004/07/16 09:35:02  blues
- release 1.1

Revision 1.92  2004/06/29 09:40:41  qboosh
- added URL

Revision 1.91  2004/06/25 09:47:28  adamg
- updated to 3.0.1rc14 (security fixes, see:
  http://www.us-cert.gov/cas/techalerts/TA04-174A.html )
- renamed ldap patches (don't include version in filename)

Revision 1.90  2004/04/28 09:12:10  qwark
- added support for store all information needed by dhcp in ldap database

Revision 1.89  2004/02/08 17:31:11  adamg
- updated to 3.0.1rc13

Revision 1.88  2003/09/23 08:58:20  trojan
- updated to 3.0.1rc12

Revision 1.87  2003/07/08 00:05:10  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.86  2003/06/22 16:53:03  icek
- As I suppose main ftp.isc.org has been disabled, added one of the mirrors

Revision 1.85  2003/06/16 14:40:29  jajcus
- Release: 2
- if_buffer_size.patch added - increases size of buffer used for interface
  configuration to 64kB. The default setting (2kB) is not enough for
  systems with over 50 interfaces.

Revision 1.84  2003/05/26 16:24:53  malekith
- massive attack: adding Source-md5

Revision 1.83  2003/05/25 05:46:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.82  2003/05/06 06:20:56  pascalek
- updated to 3.0.1rc11 (now it works fine for me)

Revision 1.81  2003/02/13 15:52:44  ankry
- remove rfc documents (they are in the rfc-{text,basic} packages)
- rel. 2

Revision 1.80  2003/01/16 19:08:16  kloczek
- updated to 3.0pl2: security fix.
  This version have fixed several potential vulnerabilities fouded during
  an audit. These vulnerabilities affect the minires library and may be
  exploitable as stack buffer overflows, which could lead to remote code
  execution.

Revision 1.79  2002/12/29 18:00:55  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.78  2002/11/08 20:56:40  wolf
- damn those sh=bash idiots
- rel 2

Revision 1.77  2002/10/10 13:33:18  marcus
- use new %doc

Revision 1.76  2002/05/08 21:25:43  lukasz
- CERT Advisory CA-2002-12 Format String Vulnerability

Revision 1.75  2002/04/25 16:11:34  arturs
- fixed a small typo

Revision 1.74  2002/03/29 11:09:33  blues
- files fixed - builds now

Revision 1.73  2002/03/28 22:48:40  kloczek
- release 4: merge translations from Conectiva.

Revision 1.72  2002/03/28 21:27:48  pioklo
- file dhclient-script should be in sbindir

Revision 1.71  2002/03/04 12:57:13  jajcus
- manpage for dhcpctl was missing in devel package

Revision 1.70  2002/02/27 11:44:37  jajcus
- devel subpackage and omshell tool added

Revision 1.69  2002/02/23 01:47:48  kloczek
- adapterized.

Revision 1.68  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.67  2002/01/18 02:12:41  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.66  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.65  2001/11/10 00:53:45  kloczek
- release 2.

Revision 1.64  2001/10/27 16:23:11  blues
- added provides dhcpd

Revision 1.63  2001/10/25 15:06:08  kloczek
- updated to final 3.0 (Epoch: 2).

Revision 1.62  2001/09/24 12:16:12  qboosh
- base and relay Prereq: /sbin/chkconfig

Revision 1.61  2001/08/31 18:56:09  kloczek
- release 2,
- added "%triggerpostun -- dhcp < 3.0" script with add on top dhcpd.conf
  "ddns-update-style none;" line if not exist. Thos allow smooth upgrade from
  < 3.0 dhcp to current because new dhcpd requires in dhcpd.conf entry with info
  about dynamic dns update style handling. This trigger by default adds
  disabled ddns update.

Revision 1.60  2001/08/24 03:36:31  kloczek
- updated to 3.0rc12.

Revision 1.59  2001/08/15 20:20:53  kloczek
- updated to 3.0rc11.

Revision 1.58  2001/07/26 16:23:31  saq
- finished transition to new lock name (/var/lock/subsys/dhcp-relay)
- release 3
- stb

Revision 1.57  2001/07/26 05:42:06  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.55  2001/07/03 14:19:07  kloczek
- release 2: fix: missing "fi" in start target in dhcp-relay init script.

Revision 1.54  2001/07/02 05:54:27  kloczek
- updated to 3.0rc10.

Revision 1.53  2001/06/29 09:15:47  kloczek
- updated to 3.0rc9.

Revision 1.52  2001/06/28 14:56:54  blues
- 3.0rc8pl2

Revision 1.51  2001/06/22 12:07:16  kloczek
- updated to 3.0rc8,
- standarize init scripts for dhcp server and relay,
- added support for bind to specified interfaces in relay init script.

Revision 1.50  2001/05/27 12:52:40  blues
- 3.0rc7
  STB
  NOTE: previous clients were vulnerable to a root attack by a corrupt DHCP
  server

Revision 1.49  2001/04/30 16:05:16  kloczek
- added using %{rpmcflags} macro.

Revision 1.48  2001/02/19 18:06:39  mikrobi
- fixed dhcrelay/dhcp-relay dualism ;-). Now it boots-up fine
- pl translation enhanced

Revision 1.47  2001/02/11 20:31:07  kloczek
- updated to 3.0b2pl16.

Revision 1.46  2001/02/01 16:27:33  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.45  2001/01/25 20:03:22  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.44  2000/12/23 00:48:43  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.43  2000/12/10 16:59:47  kloczek
- now spec is %{debug} ready.

Revision 1.42  2000/12/10 16:17:32  misiek
- updated to 3.0b2pl11; removed reference to bind-devel

Revision 1.41  2000/10/06 07:48:08  kloczek
- release 2: adapterized and added using new automation suit.

Revision 1.40  2000/10/06 07:21:36  jajcus
- dynamic DNS updates support added
- use DESTDIR (no patch needed)
- %configure -> .//configure (this is not autoconf script!)

Revision 1.39  2000/07/27 01:21:50  kloczek
- updated to 3.0b1pl17.

Revision 1.38  2000/07/12 18:32:55  waszi

- 3.0b1pl16

Revision 1.37  2000/06/09 07:22:49  kloczek
- added using %{__make} macro.

Revision 1.36  2000/05/18 17:35:47  kloczek
- spec adapterized.

Revision 1.35  2000/05/12 15:52:45  baggins
- release 4
- fixed typo de -> pl

Revision 1.34  2000/05/09 20:20:42  kloczek
- spec adapterized.

Revision 1.33  2000/05/09 19:58:44  baggins
- added /etc/dhclient-script (VERY rough)

Revision 1.32  2000/05/09 17:26:47  zagrodzki
- install -d instead of mkdir

Revision 1.31  2000/05/09 17:23:20  zagrodzki
- mkdir /var/lib/dhcp in %post-s

Revision 1.30  2000/04/27 14:07:01  baggins
- idiots should not be allowed to code. Final fix for FHS 2.1

Revision 1.29  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.28  2000/04/06 14:30:44  mis
- typos

Revision 1.27  2000/04/01 21:57:54  kloczek
- added "Requires: rc-scripts >= 0.2.0" for main and relay subpackage.

Revision 1.26  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.25  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.24  2000/03/28 13:09:10  baggins
- release ++
- updated init script to rc-scripts 0.2.0

Revision 1.23  2000/02/15 09:53:27  kloczek
- updated to 3.0b1pl13,
- standarized %post, postun for main and realy subpackage,
- added "Obsoletes: pump" for clent package.

Revision 1.22  1999/11/29 22:51:42  wiget
- updated to 3.0b1pl12

Revision 1.21  1999/11/25 12:19:11  kloczek
- renamed init script and sysconfig file to dhcp-relay.

Revision 1.20  1999/11/25 11:42:43  kloczek
- release 5,
- fix: removed douoble starting dhcpd in start target in ininit dhcpd script,
- gix: include in dhcpd pacage dhcpd sysconfig file (not dhcrelay).

Revision 1.19  1999/09/11 13:35:49  misiek
- fixed requires (PR#31)

Revision 1.18  1999/09/01 16:31:51  wiget
- BuildRequires: groff

Revision 1.17  1999/09/01 15:58:31  wiget
- typo

Revision 1.16  1999/09/01 15:54:22  wiget
- added sysconfig file to dhcpd
- added %verify to sysconfig files

Revision 1.15  1999/09/01 01:35:14  kloczek
- release 3 (in rawhide is 2),
- added in %doc sample config file,
- new %description (wrom rawhide).

Revision 1.14  1999/09/01 01:26:05  kloczek
- 754 permission on rc script,
- added %config(noreplace for /etc/sysconfig/dhcrelay,
- cosmetics.

Revision 1.13  1999/08/22 21:53:46  waszi
- added dhcrelay.init
- added dhcrelay.sysconfig

Revision 1.12  1999/08/22 20:12:34  waszi
- separated to 3 packages

Revision 1.11  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).
